NTALKD(8) | System Manager's Manual | NTALKD(8)

# NAME

`ntalkd`, `talkd` —
remote user communication server

# SYNOPSIS

`ntalkd` | [`-dl`]

# DESCRIPTION

`ntalkd` is the server that notifies a user that someone else wants to initiate a conversation. It acts as a repository of invitations, responding to requests by clients wishing to rendezvous to hold a conversation.

In normal operation, a client, the caller, initiates a rendezvous by sending a CTL_MSG to the server of type LOOK_UP (see `<protocols/talkd.h>`). This causes the server to search its invitation tables to check if an invitation currently exists for the caller (to speak to the callee specified in the message). If the lookup fails, the caller then sends an ANNOUNCE message causing the server to broadcast an announcement on the callee's login ports requesting contact.

When the callee responds, the local server uses the recorded invitation to respond with the appropriate rendezvous address and the caller and callee client programs establish a stream connection through which the conversation takes place.

# OPTIONS

`ntalkd` supports the following options:

`-d`
  The `-d` option turns on debugging logging.
`-l`
  The `-l` option turns on accounting logging for `ntalkd` via the syslogd(8) service.

# FILES

/usr/libexec/ntalkd

# SEE ALSO

talk(1), write(1), syslog(3), syslogd(8)

# HISTORY

The `ntalkd` command appeared in 4.3BSD.

The original talkd program was coded improperly, in a machine and byte-order dependent fashion. When this was corrected, it required a protocol change, which necessitated a different daemon to handle it, thus `ntalkd` or “new” talk daemon. The old daemon has long since been removed, but the detritus remain.

March 23, 2004 | NetBSD 10.1